// ==========================================================================
// $Source: /home/cvs/Taktuk2/Pthread/src/pth_ns.h,v $
// Copyright(c)'2001 by Apache Team
// see the copyright file for more information
// Author: J Briat T.Gautier
// Header file for Inuktitut/Network
// ==========================================================================
#ifndef _PTH_NS_H_ 
#define _PTH_NS_H_

/*!
\file  
\brief this file fix the PTH namespace  for Inuktitut0  INRIA.
\author  J. Briat T. Gautier 
\date 2001
*/
// Fix the the name of the package 
#ifdef _PTH_NAMESPACE
namespace PTH = PTH_NAMESPACE ;
#endif

// -- Definition of project from inner namespace to pth::
namespace PTH
{ 
}

#include <inuk/pth_dep.h>

#endif
/*! 
\namespace PTH 
\brief All the Inuktitut0 Posix thread stuff is in this namespace. 
*/
