#ifndef MPUT_RECEIVER_H
#define MPUT_RECEIVER_H

#include "mput.h"


/*
le passage a un de cette variable interromp le receiver si read ne lit pas
suffisament de caracteres
*/
extern volatile int receiver_finished;

/**
Fonction destinee a etre lancee comme un thread independant
qui recoit des donnees du reseau et les ecrit dans le buffer

Parametre : adresse du numero de la socket qui doit etre lue

Valeur de retour : NULL
*/
void * receiver(void * socket);

#endif
