// ==========================================================================
// $Source: /home/cvs/Taktuk2/Pthread/src/pth.h,v $
// Copyright(c)'2001 by Apache Team
// see the copyright file for more information
// Author: J Briat T.Gautier
// Header file for Inuktitut/Thread/Pthread
// ==========================================================================
#ifndef _PTH_CPLUSPLUS_H_
#define _PTH_CPLUSPLUS_H_

#include <inuk/pth_ns.h>
#include <inuk/pth_dep.h>
#include <inuk/pth_macro.h>
#include <inuk/pth_basic.h>
#include <inuk/pth_system.h>
#include <inuk/pth_pthreadsync_notrace.h>
#include <inuk/pth_pthreadsync.h>
#include <inuk/pth_staction.h>
#include <inuk/pth_error.h>
#include <inuk/pth_log.h>
#include <inuk/pth_atomic.h>
#include <inuk/pth_util.h>
#include <inuk/pth_time.h>
#include <inuk/pth_timer.h>

/*!
\file  
\brief Interface to Posix thread for Inuktitut0 INRIA.(To be used outside namespace PTH)
\author  J. Briat T. Gautier 
\date 2001
*/

/* Compatibility
*/
namespace PTH {
typedef ThreadId ThId;
typedef Thread   Th;
}

#ifndef _PTH_INCLUDE_NOT_IN_GLOBAL_NAMESPACE_
using namespace PTH;
#endif

#endif
