/* pth_dep.h.in  */
/*!
\file  
\brief  System configuration flags for Posix thread
\author  J. Briat T. Gautier 
\date 2001
*/
#ifndef _PTH_DEP_H_
#define _PTH_DEP_H_
#include <inuk/inuk_conf.h>

#ifdef INUKTITUT_USE_LINUX
#  ifndef PTH_USE_PTHREAD_LINUX
#    define PTH_USE_PTHREAD_LINUX 1
#  endif
#endif

#ifdef INUKTITUT_USE_LINUX_IA64
#  ifndef PTH_USE_PTHREAD_LINUX_IA64
#    define PTH_USE_PTHREAD_LINUX_IA64 1
#  endif
#endif

#ifdef INUKTITUT_USE_DARWIN
#  ifndef PTH_USE_PTHREAD_DARWIN
#    define PTH_USE_PTHREAD_DARWIN 1
#  endif
#endif

#ifdef INUKTITUT_USE_IRIX
#  ifndef PTH_USE_PTHREAD_IRIX
#    define PTH_USE_PTHREAD_IRIX 1
#  endif
#endif

#ifdef INUKTITUT_USE_SUNOS
#  ifndef PTH_USE_PTHREAD_SUNOS
#    define PTH_USE_PTHREAD_SUNOS 1
#  endif
#endif

#endif
