/*
 * The contents of this file are subject to the Dyade Public License,
 * as defined by the file DYADE_PUBLIC_LICENSE.TXT
 *
 * You may not use this file except in compliance with the License. You may
 * obtain a copy of the License on the Dyade web site (www.dyade.fr).
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific terms governing rights and limitations under the License.
 *
 * 
 * 
 *
 * The Initial Developer of the Original Code is Dyade. The Original Code and
 * portions created by Dyade are Copyright Bull and Copyright INRIA.
 * All Rights Reserved.
 */
/* Copyright (c) 1997 by Groupe Bull. Read the COPYRIGHT file. */
/* $Id: */
/* Author: Cyrille.Martin@imag.fr */

/* Cyrille Martin */
/* laboratoire ID-IMAG, BULL*/
/* Projet LIPS action DYADE*/
/* 07/06/2001 */


#ifndef __SPAWNER_H
#define __SPAWNER_H

#include <vector>
#include <string>
#include <inuk/taktuk/connector.h>
#include <inuk/taktuk/synch_vector.h>
#include <inuk/taktuk/scheduler.h>

class spawner: public scheduler, public connector_collector
{
 public:
  spawner()
	{timeold=0.0;gapsum=0.0;GapMax=0.0;iter=0.0;loaded=false;}
  ~spawner()
	{}
  int connect(synch_vector<topology::host*>& reject,std::string& local_user,bool dyn);
 private:
	bool tooloaded();
	void checkload();
	double timeold;
	double iter;
	double gapsum;
	double GapMax;
	bool loaded;
};

#endif //__SPAWNER_H
